var locale = 'en';
var url = 'https://app.puzzley.ir';
var online = true,
    $show_ad = true,
    isDevice = true,
    check = false,
    phone_id = '',
    default_access_page = [],
    trialMode = false,
    $app_data = {
        t: '1611572023',
        version: '1.2.3',
        target_market: "link"
    },
    $app_sl = 'eyJpdiI6Implais5cDFtUWtUdDFSRStVaGtCS1E9PSIsInZhbHVlIjoidWtUODJpVkk2TGNEelRUMFppbHFYY2VNT2FMMUhjSFlqR2x4UEpOeG01RT0iLCJtYWMiOiJmNDgxZGNmMTc3YTM2OWNkMWI5ZGU0MDJjMGI5M2MyOTEyMmU3MzM1NmExYTI5OTY4YWNhOWJjOTIwMGQxOGZiIn0%3D',
    $device_info = {};

var ngApp = angular.module('ngApp', ['ionic', 'ngResource', 'ngApp.controllers', 'ngApp.services', 'ionic-datepicker'])
    .run(function($ionicPlatform, $rootScope, $ionicLoading, $ionicHistory, $ionicPopup, $state, $ionicModal, $ionicScrollDelegate, $location , Auth) {
        $rootScope.$on('loading:show', function() {
            $ionicLoading.show({
                noBackdrop: true
            });
        });

        $rootScope.isDevice = isDevice;
        // Show IOS tutorial popup
        var showIosTutorialPopup = function (e) {
            if (e.isStandalone) {
                return;
            }

            if (e.isEmulator) {
                return;
            }

            if (!e.isIOS) {
                return;
            }

            if (e.isWebView) {
                return;
            }

            $rootScope.openIOSTutorialModal();
        }

        // Show Android tutorial popup
        var showAndroidTutorialPopup = function (e) {
            if (e.isStandalone) {
                return;
            }

            if (e.isEmulator) {
                return;
            }

            if (!e.isAndroid) {
                return;
            }

            if (e.isWebView) {
                return;
            }

            $rootScope.openAndroidTutorialModal();
        }

        // Check if application load in web app or device
        // ATTENTION: The emulator in explorers is not our
        // target for this feature. just mobile devices.
        var executeDeviceReadyFunctions = function () {
            var event = {
                isAndroid: ionic.Platform.isAndroid(),
                isIOS: ionic.Platform.isIOS(),
                isStandalone: ionic.Platform.isAndroid() ? window.matchMedia('(display-mode: standalone)').matches : window.navigator.standalone === true,
                // We are in the emulator then should not do anythings
                isEmulator: window.location.pathname.match(/^\/mobile\//) ? true : false,
                isWebView: ionic.Platform.isWebView()
            };

            window.platform_info = event;

            // Dispach event
            showIosTutorialPopup(event);
            showAndroidTutorialPopup(event);
                        setTimeout(checkapp, 3000); //wait for app setup completley
            if (false && typeof parent.onSimulatorLoad != "undefined") {
                parent.onSimulatorLoad();
            }
        }

        $rootScope.$on('loading:hide', function() {
            $ionicLoading.hide();
        });

        $rootScope.goToStateWithDisableBack = function (to) {
            $ionicHistory.nextViewOptions({
                    historyRoot: true,
                    disableBack: true
            });
            $state.go(to, {}, {
                location: "replace", 
                reload: true
            });
            setTimeout(function(){
                $ionicHistory.clearHistory();
            },500);
        }

        $rootScope.dataTapStatus = false;

        $ionicPlatform.ready(function() {
            /*Auth.init();*/
                            if( ! Auth.Check()){
                    $rootScope.goToStateWithDisableBack('nav.signup956');
                }
                        // Execute all neccessary function when device was ready
            executeDeviceReadyFunctions();
        });

        $rootScope.backButtonPressedOnceToExit = false;
        $ionicPlatform.registerBackButtonAction(function(e) {
            e.preventDefault();
            if ($rootScope.backButtonPressedOnceToExit) {
                ionic.Platform.exitApp(); 
            } 
                            else if ($rootScope.user && !$rootScope.user.isLogin) {
                    var backView = $ionicHistory.backView();
                    if (backView && ('#' + backView.url) == signupHash) {
                        $ionicHistory.goBack();
                    } else {
                        $rootScope.backButtonPressedOnceToExit = true;
                        showToast(lang('global.press_again_to_exit'), 2000);
                        setTimeout(function() {
                            $rootScope.backButtonPressedOnceToExit = false;
                        }, 2500);
                    }
                }
                        else if (window.location.hash.indexOf("web-page") !== -1) {
                window.history.back();
                if (window.location.hash == homeHash) {
                    $rootScope.backButtonPressedOnceToExit = true;
                    setTimeout(function() {
                        $rootScope.backButtonPressedOnceToExit = false;
                    }, 300);
                }
            } else if ($ionicHistory.backView()) {
                $ionicHistory.goBack();
            } else if (hasHome && window.location.hash != homeHash) {
                $ionicHistory.nextViewOptions({
                    disableBack: true
                });
                window.location.hash = homeHash;
            } else {
                $rootScope.backButtonPressedOnceToExit = true;
                showToast(lang('global.press_again_to_exit'), 2000);
                setTimeout(function() {
                    $rootScope.backButtonPressedOnceToExit = false;
                }, 2500);
            }
            return false;
        }, 101);

        
        $rootScope.$on('$stateChangeStart', function(event, toState, toStateParams, fromState, fromStateParams) {
            if($rootScope.openModal)
                $rootScope.openModal.hide();
                
            $rootScope.hideTabs = false;

                                    if (
                (toState.pageid != 1 && !Auth.CanAccess(toState.pageid)) 
                || (typeof toStateParams.pageid != 'undefined' && !Auth.CanAccess(toStateParams.pageid))
                || (
                    typeof toStateParams.id !== 'undefined' 
                    && toStateParams.id != 1 
                    && !Auth.CanAccess(toStateParams.id) 
                    && toStateParams.func == 'getIndex'
                    )
            ) {
                event.preventDefault();
                if(Auth.Check()) {
                                            $ionicPopup.confirm({
                            cssClass: 'signup_pupop',
                            title: 'عدم دسترسی',
                            template: '<p style="text-align: center;">برای دسترسی به این بخش باید حساب خود را ارتقا دهید.</p><p style="text-align: center;">برای کسب اطلاعات بیشتر درباره حسابها <strong>راهنما</strong> را مطالعه کنید.</p>',
                            okText: 'ارتقا',
                            okType: 'button-clear button-balanced',
                            cancelText: 'انصراف',
                            cancelType: 'button-clear button-assertive',
                        }).then(function(confirm) {
                            if (confirm) {
                                window.location.hash = '#/nav/widget/signup/selectPlan/eyJpdiI6Im9NaFRNSDJkanBDV3BvSk9lS084RGc9PSIsInZhbHVlIjoiam9UYndCZnN0bjFhaE1CUTBSSDY1OWYwNVdSaUllaTU3QWpwNFRQXC8zTUROakhcL3AxVTcxUXZVZDFQVnRQN3krIiwibWFjIjoiZmJkMzM1NjU5YjBkZjU0ZWI5ZDMwZmM2YzA1NTQ2ZTQxMmIzODk5YzAxZGI2YjIzNTViMDgxY2Y4M2Q3NThkYiJ9/1';
                            }
                        });
                                    } else {
                    $ionicPopup.confirm({
                        cssClass: 'signup_pupop',
                        title: 'حساب کاربری',
                        template: '<p><strong>برای دسترسی به این صفحه باید ثبت نام کنید.</strong></p>',
                        okText: 'ورود',
                        okType: 'button-clear button-balanced',
                        cancelText: 'انصراف',
                        cancelType: 'button-clear button-assertive',
                    }).then(function(confirm) {
                        if (confirm) {
                            $state.go('nav.signup956');
                        }
                    });
                }
            }                    
                    });

                $rootScope.forceToLoggedIn = function () {
            if (Auth.Check()) {
                return;
            }

            $ionicPopup.confirm({
                cssClass: 'signup_pupop',
                title: 'حساب کاربری',
                template: 'برای دسترسی به این امکان باید حتما وارد شوید',
                okText: 'ورود',
                okType: 'button-clear button-balanced',
                cancelText: 'انصراف',
                cancelType: 'button-clear button-assertive',
            }).then(function(confirm) {
                if (confirm) {
                    $state.go('nav.signup956');
                }
            });
        }

        $rootScope.isUserLoggedIn = function () {
            return Auth.Check();
        }
        
        $rootScope.iOSTutorialModal = $ionicModal.fromTemplate( 
            '<ion-modal-view>' +
                '<ion-content class="webapp-help ios rtl">'+
                    '<div style="display: flex;flex-direction: column;">' +
                        '<div style="flex:1;">' +
                            '<div style="display: flex;justify-content: center; margin-top: 20%;">' +
                                '<img src="/uploads/attachments/Mobile/Model/App/headers/000/114/097/icon40/stapler-2m1slh.png" style="">' +
                            '</div>' +

                            '<div style="display: flex;justify-content: center;text-align: center;margin: 15px 15%;">' +
                                'وب اپلیکیشن " نت بورس " را به صفحه اصلی موبایل خود اضافه کنید.' +
                            '</div>' +

                            '<div class="theme-bg-simple" style="display: block;width: 80vw;height: 4px;margin: auto;"></div>' +
                            '<div style="margin: 0 10%;">' +
                                '<ul style="margin-top: 10px;">' +
                                    '<li style="line-height:50px">١- در نوار پایین روی دکمه <b>share</b> <svg enable-background="new 0 0 50 50" height="25px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="25px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="vertical-align: middle;"><polyline fill="none" points="17,10 25,2 33,10   " stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2"></polyline><line fill="none" stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2" x1="25" x2="25" y1="32" y2="2.333"></line><rect fill="none" height="50" width="50"></rect><path d="M17,17H8v32h34V17h-9" fill="none" stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2"></path></svg>  تپ کنید.</li>' +
                                    '<li>۲- در منوی باز شده، در قسمت پایین، گزینه <b>Add to Home Screen</b> را نتخاب کنید.</li>' +
                                    '<img src="/assets/images/add-to-homescreen.png" style="margin-top:25px;margin-bottom:25px;width:100%;">' +
                                    '<li>۳- در مرحله بعد در قسمت بالا روی <b style="color:#007AFF;">Add</b> تپ کنید.</li>' +
                                '</ul>' +
                            '</div>' +
                        '</div>' +
                        
                        '<div style="margin:5px;margin-top: 25px;">' +
                            '<button class="button button-block button-balanced" ng-click="closeIOSTutorialModal()" style="width: 80%;margin: auto;">' +
                                'تایید' +
                            '</button>' +
                        '</div>' +
                    '</div>' +
                '</ion-content>' +

            '</ion-modal-view>', {
                scope: $rootScope,
                animation: 'slide-in-up'
            });

        $rootScope.openIOSTutorialModal = function() {
            $rootScope.iOSTutorialModal.show();
        };
            
        $rootScope.closeIOSTutorialModal = function() {
            $rootScope.iOSTutorialModal.hide();
        };

        $rootScope.androidTutorialModal = $ionicModal.fromTemplate( 
            '<ion-modal-view>' +
                '<ion-content class="webapp-help android rtl">'+
                    '<div style="display: flex;flex-direction: column;">' +
                        '<div style="flex:1;">' +
                            '<div style="display: flex;justify-content: center; margin-top: 20%;">' +
                                '<img src="/uploads/attachments/Mobile/Model/App/headers/000/114/097/icon40/stapler-2m1slh.png" style="">' +
                            '</div>' +

                            '<div style="display: flex;justify-content: center;text-align: center;margin: 15px 15%;">' +
                                'وب اپلیکیشن " نت بورس " را به صفحه اصلی موبایل خود اضافه کنید.' +
                            '</div>' +

                            '<div class="theme-bg-simple" style="display: block;width: 80vw;height: 4px;margin: auto;"></div>' +
                            '<div style="margin: 0 10%;">' +
                                '<ul style="margin-top:10px;">' +
                                    '<li style="margin:25px 0;">١- در قسمت گوشه سمت راست دکمه <b>settings</b> <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 512 512" style="width: 20px;vertical-align: middle;enable-background:new 0 0 512 512;" xml:space="preserve"><g><g><g><circle cx="256" cy="256" r="64"></circle><circle cx="256" cy="448" r="64"></circle><circle cx="256" cy="64" r="64"></circle></g></g></g></svg> را تپ کنید.</li>' +
                                    '<li style="margin-bottom:25px;">۲- در منوی باز شده، در قسمت پایین، گزینه <b>Add to Home Screen</b> را نتخاب کنید.</li>' +
                                    '<li style="margin-bottom:25px;">۳- در قسمت پایین روی <b style="color:#007AFF;">Add</b> تپ کنید.</li>' +
                                '</ul>' +
                            '</div>' +
                        '</div>' +
                        
                        '<div style="margin:5px;margin-top: 25px;">' +
                            '<button class="button button-block button-balanced" ng-click="closeAndroidTutorialModal()" style="width: 80%;margin: auto;">' +
                                'تایید' +
                            '</button>' +
                        '</div>' +
                    '</div>' +
                '</ion-content>' +

            '</ion-modal-view>', {
                scope: $rootScope,
                animation: 'slide-in-up'
            });

        $rootScope.openAndroidTutorialModal = function() {
            $rootScope.androidTutorialModal.show();
        };
            
        $rootScope.closeAndroidTutorialModal = function() {
            $rootScope.androidTutorialModal.hide();
        };

        $rootScope.openImageViewerModal = function(src) {
            $rootScope.imageViewerModal = $ionicModal.fromTemplate( 
                '<div class="modal image-viewer-modal transparent ltr" on-swipe-down="closeImageViewerModal()">'+
                    '<div class="transparent-bar">'+
                        '<div class="back" ng-click="closeImageViewerModal()"><i class="ion-close-round"></i></div>'+
                    '</div>'+
                    '<ion-scroll class="imageContiner" direction="xy" scrollbar-x="false" scrollbar-y="false" zooming="true" min-zoom="1" delegate-handle="imageviewer-zoom-pane" overflow-scroll="false">'+
                        '<span></span>'+
                        '<img ng-src="{{ ImageViewerPhoto }}" on-double-tap="zoom()" />'+
                    '</ion-scroll>'+
                    '<div class="caption rtl">'+
                                                                    '</div>'+
                '</div>', {
                scope: $rootScope,
                animation: 'slide-in-up',
                hardwareBackButtonClose: true
            });
            $rootScope.ImageViewerPhoto = src;
            $rootScope.imageViewerModal.show();
        };

        $rootScope.imageViewerModal
        $rootScope.shareImage = function(src) {
            window.plugins.socialsharing.share(null, '', src, null);
        };
            
        $rootScope.closeImageViewerModal = function() {
            $rootScope.imageViewerModal.remove();
        };

        $rootScope.inZoom = false;
        $rootScope.zoom = function(){
            if ($rootScope.inZoom) {
                $ionicScrollDelegate.$getByHandle('imageviewer-zoom-pane').zoomTo(1, true);
                $rootScope.inZoom = false;
            } else {
                $ionicScrollDelegate.$getByHandle('imageviewer-zoom-pane').zoomTo(2, true);
                $rootScope.inZoom = true;
            }
        }
        
        $rootScope.activeTrialMode = function(){
            $rootScope.isTrial = true;
            $rootScope.trial_message = 'نسخه دمو - تریال';
            $rootScope.$apply();
            $ionicPopup.alert({
                cssClass: 'trial_pupop',
                title: 'نسخه تست',
                template: 'نسخه تست متن',
                okText: 'تایید',
                okType: 'button-clear button-balanced'
            });
            setInterval(function(){
                showToast('نسخه تست', 2800, 'center');
            }, 60000);
        }
    })

    .config(function($stateProvider, $locationProvider, $urlRouterProvider, $ionicConfigProvider, $httpProvider, $compileProvider) {

                    $ionicConfigProvider.scrolling.jsScrolling(false);
            $ionicConfigProvider.views.transition('none');
        
        $compileProvider.aHrefSanitizationWhitelist(/^\s*((https?|ftp|mailto|sms|tel|geo|bazaar|store|myket|tg|instagram|javascript):)|(#\/nav\/.*)/);

        $ionicConfigProvider.templates.maxPrefetch(0);
        $ionicConfigProvider.backButton.previousTitleText(false).text('');
        $ionicConfigProvider.navBar.positionSecondaryButtons('right');
        $ionicConfigProvider.navBar.positionPrimaryButtons('left');

        $httpProvider.interceptors.push(function($rootScope, $q) {
            return {
                /* http request show loading */
                request: function(config) {
                    if (typeof config.noLoading == "undefined" || config.noLoading != true) {
                        $rootScope.$broadcast('loading:show');
                    }
                    return config
                },
                /* Hide loading in case any occurred */
                requestError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading once got response */
                response: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading if got any response error  */
                responseError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return $q.reject(response);
                }
            }
        });

                    $ionicConfigProvider.tabs.position("bottom");
        
        $ionicConfigProvider.navBar.alignTitle('center');

        $stateProvider
            .state('nav', {
                url: '/nav',
                abstract: true,
                templateUrl: 'nav.html',
                controller: 'NavCtrl',
                secured: 0,
                pageid: 1
            })
            .state('nav.widget1', {
                url: '/widget/:widget/:func/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.widget2', {
                url: '/widget/:widget/:func/:sl/:id/:extra',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id + '/' + params.extra;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.widget3', {
                url: '/online/:widget/:func/:pageId/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id ;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.watermarkPage', {
                url: "/watermarkPage",
                views: {
                    'mainContent': {
                        templateUrl: 'appwatermark.html'
                    }
                },
                secured: 0,
                pageid: 1
            })
                        .state('nav.morePage114097', {
                url: "/morePage114097",
                views: {
                    'mainContent': {
                        templateUrl: 'more-modal.html'
                    }
                },
                secured: 0,
                pageid: 1
            })
                        
             .state('nav.home-screen569', { url: '/home-screen569', cache: 'true', secured : 0, pageid : '1', views: { 'mainContent': { templateUrl: 'templates/home-screen569.html' } } })  .state('nav.signup956', { url: '/signup956', cache: 'true', secured : 0, pageid : '1', views: { 'mainContent': { templateUrl: 'templates/signup956.html' } } })  .state('nav.advance-news495', { url: '/advance-news495', cache: 'true', secured : 0, pageid : '688738', views: { 'mainContent': { templateUrl: 'templates/advance-news495.html' } } })  .state('nav.advance-news495list', { url: '/advance-news495/list/:sl/:searchFilters/:config', cache: 'true', secured : 0, pageid : '688738', views: { 'mainContent': { templateUrl: 'templates/advance-news495-list.html' } } })  .state('nav.web-page558', { url: '/web-page558', cache: 'true', secured : 0, pageid : '688786', views: { 'mainContent': { templateUrl: 'templates/web-page558.html' } } })  .state('nav.menu808', { url: '/menu808', cache: 'true', secured : 0, pageid : '688865', views: { 'mainContent': { templateUrl: 'templates/menu808.html' } } })  .state('nav.about-us554', { url: '/about-us554', cache: 'true', secured : 0, pageid : '689172', views: { 'mainContent': { templateUrl: 'templates/about-us554.html' } } })  .state('nav.advance-form514', { url: '/advance-form514', cache: 'true', secured : 0, pageid : '689215', views: { 'mainContent': { templateUrl: 'templates/advance-form514.html' } } })  .state('nav.news744', { url: '/news744', cache: 'true', secured : 0, pageid : '689284', views: { 'mainContent': { templateUrl: 'templates/news744.html' } } })  .state('nav.news853', { url: '/news853', cache: 'true', secured : 0, pageid : '689286', views: { 'mainContent': { templateUrl: 'templates/news853.html' } } })  .state('nav.news207', { url: '/news207', cache: 'true', secured : 0, pageid : '689288', views: { 'mainContent': { templateUrl: 'templates/news207.html' } } })  .state('nav.news588', { url: '/news588', cache: 'true', secured : 0, pageid : '689405', views: { 'mainContent': { templateUrl: 'templates/news588.html' } } })  .state('nav.news262', { url: '/news262', cache: 'true', secured : 0, pageid : '689422', views: { 'mainContent': { templateUrl: 'templates/news262.html' } } })  .state('nav.news232', { url: '/news232', cache: 'true', secured : 0, pageid : '689289', views: { 'mainContent': { templateUrl: 'templates/news232.html' } } })  .state('nav.news907', { url: '/news907', cache: 'true', secured : 0, pageid : '689290', views: { 'mainContent': { templateUrl: 'templates/news907.html' } } })  .state('nav.news529', { url: '/news529', cache: 'true', secured : 0, pageid : '689307', views: { 'mainContent': { templateUrl: 'templates/news529.html' } } })  .state('nav.news456', { url: '/news456', cache: 'true', secured : 0, pageid : '689406', views: { 'mainContent': { templateUrl: 'templates/news456.html' } } })  .state('nav.news124', { url: '/news124', cache: 'true', secured : 0, pageid : '689407', views: { 'mainContent': { templateUrl: 'templates/news124.html' } } })  .state('nav.news366', { url: '/news366', cache: 'true', secured : 0, pageid : '689408', views: { 'mainContent': { templateUrl: 'templates/news366.html' } } })  .state('nav.news131', { url: '/news131', cache: 'true', secured : 0, pageid : '689409', views: { 'mainContent': { templateUrl: 'templates/news131.html' } } })  .state('nav.news246', { url: '/news246', cache: 'true', secured : 0, pageid : '689410', views: { 'mainContent': { templateUrl: 'templates/news246.html' } } })  .state('nav.advance-form539', { url: '/advance-form539', cache: 'true', secured : 0, pageid : '689424', views: { 'mainContent': { templateUrl: 'templates/advance-form539.html' } } })  .state('nav.menu613', { url: '/menu613', cache: 'true', secured : 0, pageid : '689437', views: { 'mainContent': { templateUrl: 'templates/menu613.html' } } })  .state('nav.news681', { url: '/news681', cache: 'true', secured : 0, pageid : '689439', views: { 'mainContent': { templateUrl: 'templates/news681.html' } } })  .state('nav.content281', { url: '/content281', cache: 'true', secured : 0, pageid : '689977', views: { 'mainContent': { templateUrl: 'templates/content281.html' } } })  .state('nav.menu139', { url: '/menu139', cache: 'true', secured : 0, pageid : '690117', views: { 'mainContent': { templateUrl: 'templates/menu139.html' } } })  .state('nav.lists387', { url: '/lists387', cache: 'false', secured : 0, pageid : '690119', views: { 'mainContent': { templateUrl: 'templates/lists387.html' } } })  .state('nav.lists561', { url: '/lists561', cache: 'false', secured : 0, pageid : '690120', views: { 'mainContent': { templateUrl: 'templates/lists561.html' } } })  .state('nav.news337', { url: '/news337', cache: 'true', secured : 0, pageid : '691100', views: { 'mainContent': { templateUrl: 'templates/news337.html' } } })  .state('nav.content931', { url: '/content931', cache: 'true', secured : 0, pageid : '692915', views: { 'mainContent': { templateUrl: 'templates/content931.html' } } })  .state('nav.content472', { url: '/content472', cache: 'true', secured : 0, pageid : '692929', views: { 'mainContent': { templateUrl: 'templates/content472.html' } } })  .state('nav.rss663', { url: '/rss663', cache: 'true', secured : 0, pageid : '693300', views: { 'mainContent': { templateUrl: 'templates/rss663.html' } } })  .state('nav.menu327', { url: '/menu327', cache: 'true', secured : 0, pageid : '693319', views: { 'mainContent': { templateUrl: 'templates/menu327.html' } } })  .state('nav.rss562', { url: '/rss562', cache: 'true', secured : 0, pageid : '693320', views: { 'mainContent': { templateUrl: 'templates/rss562.html' } } })  .state('nav.rss729', { url: '/rss729', cache: 'true', secured : 0, pageid : '693321', views: { 'mainContent': { templateUrl: 'templates/rss729.html' } } })  .state('nav.rss472', { url: '/rss472', cache: 'true', secured : 0, pageid : '693322', views: { 'mainContent': { templateUrl: 'templates/rss472.html' } } })  .state('nav.rss685', { url: '/rss685', cache: 'true', secured : 0, pageid : '693323', views: { 'mainContent': { templateUrl: 'templates/rss685.html' } } })  .state('nav.rss260', { url: '/rss260', cache: 'true', secured : 0, pageid : '693325', views: { 'mainContent': { templateUrl: 'templates/rss260.html' } } })  .state('nav.content484', { url: '/content484', cache: 'true', secured : 0, pageid : '693762', views: { 'mainContent': { templateUrl: 'templates/content484.html' } } })  .state('nav.rss420', { url: '/rss420', cache: 'true', secured : 0, pageid : '693857', views: { 'mainContent': { templateUrl: 'templates/rss420.html' } } })  .state('nav.news220', { url: '/news220', cache: 'true', secured : 0, pageid : '693862', views: { 'mainContent': { templateUrl: 'templates/news220.html' } } }) 
        
                    .state('nav.feed', {
                url: "/feeds/:entryId/:hashCode",
                views: {
                    'mainContent': {
                        template: '<ion-view title="{{entry.title}}"><ion-content class="has-footer">	<h3 class="transparent header-product title item_name position-relative margin-top-header item-contact"> {{entry.title}} </h3><div class="transparent feed tabs-contents item-contact"><div class="inform" ng-show="entry.author"><i class="ion-person"></i><span ng-bind-html="entry.author"></span></div><p ng-bind-html="entry.content" class="feedcontent"></p><a class="category" ng-repeat="category in entry.categories">{{category}}</a><center><button class="icon-left ion-share button-custom item-circle2" ng-click="loadURL()"></button></center> </div></ion-content></ion-view>',
                        controller: 'FeedCtrl'
                    }
                },
                secured: 0,
                pageid: 1
            })
        
                ;
        $urlRouterProvider.otherwise('/nav/home-screen569');
    });

    var appsetting = (localStorage.app114097setting) ? JSON.parse(localStorage.app114097setting) : {};
    appsettingInit();

function saveSetting() {
    localStorage.app114097setting = JSON.stringify(appsetting)
}

document.addEventListener("online", function() {
    online = true;
}, false);
document.addEventListener("offline", function() {
    online = false;
}, false);
function isOnline() {
    return online;
}

var homeHash = "#/nav/home-screen569";
var homeState = "nav.home-screen569";
var hasHome = true;
/* iap message */
    var signupHash = "#/nav/signup956";

function checkapp() {
    if (!check) {
        if (typeof device == "object") {
            $device_info.platform = device.platform;
            $device_info.version = device.version;
            $device_info.uuid = device.uuid;
            $device_info.model = device.model;
        }
        check = true;
        $.post(url + '/api/v1/app/check-app/4PMnW',{
            device: $device_info,
            platform: window.platform_info,
            app_data : $app_data
        })
            .done(function(data) {
                if (typeof(data.active) != 'undefined' && data.active == 0) {
                    alert('این اپلیکیشن غیر فعال است.');
                    window.localStorage['active'] = 'notActive';
                    ionic.Platform.exitApp();
                } else if (typeof(data.active) != 'undefined' && data.active == 1) {
                    window.localStorage['active'] = true;
                }
            }).fail(function() {
                if (window.localStorage['active'] == 'notActive') {
                    alert('این اپلیکیشن غیر فعال است.');
                    ionic.Platform.exitApp();
                }
                check = false;
            });
    }
}
document.addEventListener("deviceready", function() {
    setTimeout(function() {
        if (window.localStorage['active'] == 'notActive') {
            alert('این اپلیکیشن غیر فعال است.');
            ionic.Platform.exitApp();
        }
    }, 10000);
    document.addEventListener("online", function() {
        setTimeout(checkapp, 3000);
    }, false);
    isDevice = true;
    var $rootScope = angular.element(document.body).injector().get('$rootScope');
    $rootScope.isDevice = true;
    $rootScope.$apply();
    setTimeout(function() {
        $('body').on('click', 'a[target="_system"]', function(e) {
            e.preventDefault();
            var src = $(this).attr("href");
            window.open(src, '_system');
        });
        $('body').on('click', 'a[target="_blank"]', function(e) {
            e.preventDefault();
            var src = $(this).attr("href");
            window.open(src, '_system');
        });
    }, 3000);

    if (trialMode) {
        $rootScope.activeTrialMode();
    }
});


setTimeout(function(){
    $.ajaxSetup({
        beforeSend: function(xhr) {
            var user = angular.element(document.body).injector().get('$rootScope').user;
            if (user && user.isLogin) {
                var token = user.token;
                if(typeof token != "undefined" && token != '')
                    xhr.setRequestHeader('X-auth-token', token);
            }
        }
    }); 
},3000);

var logArray = ['','','','',''];
function showLog(message) {
    logArray.shift();
    logArray.push(message);
    var x = document.getElementById("toastMessage");
    x.innerHTML = logArray.join('<br>');
    x.className = "show";
    setTimeout(function () {
        x.className = x.className.replace("show", "");
    }, 3000);
}

setTimeout(function () {
    $('body').on('click', '.image-viewer img', function() {
        if (!$(this).parents('a').length && (this.naturalWidth >= 50 || this.naturalHeight >= 50)) {
            var src = $(this).attr('src');
            angular.element(document.body).injector().get('$rootScope').openImageViewerModal(src);
        }
    });
}, 1000);
